<?PHP
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

<? 
require_once "../includes/begin.php";
require_once "../includes/functions.php"; 
require_once "../includes/permissao.php";

inibeAcesso(array("administrador","coordenadoria")); 

	$reacao = $_GET['reacao'];
	$acao = $_GET['acao'];
	$codigo = getValueGet('codigo');
	
	if($acao == 'remover')
	{
		$sql = "UPDATE educacao.\"mat_funcionarioEscola\" SET removido = true WHERE codfuncionario = '$codigo';";
		$result = executaQuery($dbh, $sql);
		
		header("location:../novastelas/listagemfuncionarioescola.php");
		exit;
	}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=latin1" />
<title>SEMED - Sistema de Matr�cula Escolar</title>
<link href="../stylo.css" rel="stylesheet" type="text/css" />
<?php 
	include "../includes/config3.php";
?>
<style type="text/css">
<!--
.style1 {color: #FF0000}
-->
</style>
<link type="text/css" rel="stylesheet" href="../js/dhtmlgoodies_calendar/dhtmlgoodies_calendar.css?random=20051112" media="screen"></link>

<script type="text/javascript" src="../js/funcoes.js"></script>
<script type="text/javascript" src="../js/functions.js"></script>
<script type="text/javascript" src="../js/validate_funcEscola.js"></script>
<script type="text/javascript" src="../js/jquery.js"></script>
<script type="text/javascript" src="../js/ajax.js"></script>
<script type="text/javascript">
var sajax_debug_mode = false;
var sajax_request_type = "GET";
var sajax_target_id = "";
var sajax_failure_redirect = "";

function sajax_debug(text) {
	if (sajax_debug_mode)
		alert(text);
}

	function sajax_init_object() {
		sajax_debug("sajax_init_object() called..")
		
		var A;
		
		var msxmlhttp = new Array(
		'Msxml2.XMLHTTP.5.0',
		'Msxml2.XMLHTTP.4.0',
		'Msxml2.XMLHTTP.3.0',
		'Msxml2.XMLHTTP',
		'Microsoft.XMLHTTP');
	for (var i = 0; i < msxmlhttp.length; i++) {
		try {
			A = new ActiveXObject(msxmlhttp[i]);
		} catch (e) {
			A = null;
		}
	}
		
	if(!A && typeof XMLHttpRequest != "undefined")
		A = new XMLHttpRequest();
	if (!A)
		sajax_debug("Could not create connection object.");
	return A;
}

var sajax_requests = new Array();

function sajax_cancel() {
	for (var i = 0; i < sajax_requests.length; i++) 
		sajax_requests[i].abort();
}

function sajax_do_call(func_name, args) {
	var i, x, n;
	var uri;
	var post_data;
	var target_id;
	
	sajax_debug("in sajax_do_call().." + sajax_request_type + "/" + sajax_target_id);
	target_id = sajax_target_id;
	if (typeof(sajax_request_type) == "undefined" || sajax_request_type == "") 
		sajax_request_type = "GET";
	
	uri = "../recadastra.php?acao=&inepaluno=113641358506";
	if (sajax_request_type == "GET") {
	
		if (uri.indexOf("?") == -1) 
			uri += "?rs=" + escape(func_name);
		else
			uri += "&rs=" + escape(func_name);
		uri += "&rst=" + escape(sajax_target_id);
		uri += "&rsrnd=" + new Date().getTime();
		
		for (i = 0; i < args.length-1; i++) 
			uri += "&rsargs[]=" + escape(args[i]);

		post_data = null;
	} 
	else if (sajax_request_type == "POST") {
		post_data = "rs=" + escape(func_name);
		post_data += "&rst=" + escape(sajax_target_id);
		post_data += "&rsrnd=" + new Date().getTime();
		
		for (i = 0; i < args.length-1; i++) 
			post_data = post_data + "&rsargs[]=" + escape(args[i]);
	}
	else {
		alert("Illegal request type: " + sajax_request_type);
	}
	
	x = sajax_init_object();
	if (x == null) {
		if (sajax_failure_redirect != "") {
			location.href = sajax_failure_redirect;
			return false;
		} else {
			sajax_debug("NULL sajax object for user agent:\n" + navigator.userAgent);
			return false;
		}
	} else {
		x.open(sajax_request_type, uri, true);
		// window.open(uri);
		
		sajax_requests[sajax_requests.length] = x;
		
		if (sajax_request_type == "POST") {
			x.setRequestHeader("Method", "POST " + uri + " HTTP/1.1");
			x.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
		}
	
		x.onreadystatechange = function() {
			if (x.readyState != 4) 
				return;

			sajax_debug("received " + x.responseText);
		
			var status;
			var data;
			var txt = x.responseText.replace(/^\s*|\s*$/g,"");
			status = txt.charAt(0);
			data = txt.substring(2);

			if (status == "") {
				// let's just assume this is a pre-response bailout and let it slide for now
			} else if (status == "-") 
				alert("Error: " + data);
			else {
				if (target_id != "") 
					document.getElementById(target_id).innerHTML = eval(data);
				else {
					try {
						var callback;
						var extra_data = false;
						if (typeof args[args.length-1] == "object") {
							callback = args[args.length-1].callback;
							extra_data = args[args.length-1].extra_data;
						} else {
							callback = args[args.length-1];
						}
						callback(eval(data), extra_data);
					} catch (e) {
						sajax_debug("Caught error " + e + ": Could not eval " + data );
					}
				}
			}
		}
	}
	
	sajax_debug(func_name + " uri = " + uri + "/post = " + post_data);
	x.send(post_data);
	sajax_debug(func_name + " waiting..");
	delete x;
	return true;
}

		
// wrapper for cityByState		
function x_cityByState() {
	sajax_do_call("cityByState",
		x_cityByState.arguments);
}
</script>
<script>
	// ajax para obter municipios
	$(document).ready(function() {
		// aqui dentro coloco todos os UFs que devem ser capturados (usando API do JQuery)
		$('#form_logradouroUfCoord').change( mudaMunEndereco );
		mudaMunEndereco();
 	});
 	function mudaMunEndereco()
 	{
 		loadMunicipios('form_logradouroUfCoord','form_logradouroCidadeCoord');
 	}
</script>
</head>
<body topmargin="0" leftmargin="0">
	<div id="container">
		<div id="body">
			<table width="100%" border="0" cellspacing="0" cellpadding="0">
	  			<tr>
	    			<td><? include "../includes/config2.php"; ?></td>
	  			</tr>
				<tr>
					<td class="titulos"><div align="center" class="titulos2">
						<p>.:: FORMUL�RIO DE CADASTRO DE FUNCION�RIO DA ESCOLA  ::.<br />
						Educa��o Infantil e Ensino Fundamental<br />
						Prefeitura da Cidade de Nova Igua�u<br />
						Matr�cula <?=date("Y");?><? if ($acao=='atualizar') echo " - (atualiza��o)"; ?><br />
						<span class="mago"><br />
						</span></p>

					</div></td>
				</tr>
				<tr>
					<td>&nbsp;</td>
				</tr>
				<?
					 $arquivophp = '../rotinas/rotinaInclusaoFuncionarioEscola.php';
				?>
				<tr>
					<td>
						<form name="InclusaoFuncionarioEscola" action="<?=$arquivophp?>" method="post" enctype="application/x-www-form-urlencoded" onSubmit="return validate();">
						<input type='hidden' name='codigo' value='<?= $_GET['codigo'] ?>'></input>
						<table width="800" border="0" align="center" cellpadding="1" cellspacing="0" bgcolor="#EFEFEF">
						  <?php if($reacao == 'retorno') echo '<caption>'.$_SESSION["f_retorno"].'</caption>'?>
				          <tr>
				            <td colspan="4"><div align="right" class="style1"><i>(*) campos obrigat�rios</i></div></td>
				          </tr>
				          <tr>
				            <td colspan="4" class="titulos3">&nbsp;</td>
				          </tr>
				          <tr>
				            <td colspan="4"><div align="center">
				                <input name="enviar" type="submit" class="botao" id="enviar" value="cadastrar funcion�rio" />
				            </div></td>
				          </tr>
				          <tr>
				            <td colspan="4" class="titulos3"><div align="center">DADOS DO FUNCION�RIO</div></td>
				          </tr>
				          	<tr>
				             <td height="10" colspan="4"></td>
				            </tr>
				          
				          <tr>
				            <td colspan="4"><label id="l_nomeFuncionario">* Nome do Funcion�rio:</label>
				              <input name="form_nomeFuncionario" id="form_nomeFuncionario" type="text" class="campos2" onkeypress="mascara(this,textolivre)"
				              value="<? if($reacao == 'retorno') echo $_SESSION["f_nomeFuncionario"]?>" size="60" maxlength="60"/>
				            </td>           
				         
				          <tr>
							
				           <td colspan="3"><label id="l_loginFuncionario">* Login:</label>
				              <input name="form_loginFuncionario" id="form_loginFuncionario" type="text" class="campos2" maxlength="20" value="<?php  if($reacao == 'retorno') echo $_SESSION["f_loginFuncionario"]?>" size="11" maxlength="20" onkeypress="mascara(this,textolivre)"/>
				              </td>
						  </tr>

						  <tr>	
						  
						   <td colspan="3"><label id="l_senhaFuncionario">* Senha:</label>
							  <input name="form_senhaFuncionario" id="form_senhaFuncionario" type="password" class="campos2" maxlength="10">	 
						  </tr>		
				        		
						  <tr>
								<td colspan="3"><label id="l_confirmarSenha">* Confirmar senha:</label>
									<input name="form_confirmarSenha" id="form_confirmarSenha" type="password" class="campos2" maxlength="10">
						  </tr>	

						<tr>
							<td colspan="3"><label id="l_escolaFuncionario">* Escola:</label>
							 <select name="form_escolaFuncionario" id="form_escolaFuncionario" class="campos2">	
							 
							 <? $sql = "select distinct codescola,nomeescola from mat_escola where coddependenciaadministrativa=3 order by nomeescola";
								$result = executaQuery($dbh, $sql);
								
								while($row2 = pg_fetch_array($result) )
								{
							?>	
								<option <? if($reacao=='retorno' && $_SESSION["f_escolaFuncionario"] == $row2['codescola']) echo 'selected';?> value="<? echo $row2['codescola'];?>"> <? echo $row2['nomeescola'];?></option>
								
												
							   <?}?>
							</select></td>	
						
						</tr>	
						  <tr>
				             <td height="10" colspan="4"></td>
				            </tr>
				          <tr>
				            <td colspan="4" class="titulos3">&nbsp;</td>
				          </tr>
				          <tr>
				            <td colspan="4"><div align="center">
				                <input name="enviar" type="submit" class="botao" id="enviar" value="cadastrar funcion�rio" />
				            </div></td>
				          </tr>
				          <tr>
				            <td colspan="4" class="titulos3">&nbsp;</td>
				          </tr>
				          <tr>
				          
				          <tr>
				            <td colspan="4"><div align="right" class="style1"><i>(*) campos obrigat�rios</i></div></td>
				          </tr>
					</tr>	  
				   </table>
				   </form>
				</td>
			</tr>
		</table>
		</div>
			<div id="footer"><? include "../includes/rodape.php"; ?></div>
		</div>
	</body>
</html>
<?php 
?>